DBMASMEAX007a3.bundle3 rev.update.012.9c6a2 (20190104): Test-drive update

Minor fixes/improvements, and new bugs as usual as well...

Test drive release expiring on 2020.12.31 23:59:59 GMT
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c6a1 (20190102): Test-drive update

Minor fixes/improvements, and new bugs as usual as well...

Test drive release expiring on 2020.12.31 23:59:59 GMT
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c6a (20181228): Test-drive update

Minor fixes/improvements, and new bugs as usual as well...

! Fixed: Color of profit pips in basket block.
! Fixed: FF calendar source url.

Test drive release expiring on 2019.12.31 23:59:59 GMT
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c6 (20181025): Test-drive update

Minor fixes nor improvements/additions, and new bugs as usual as well...

Test drive release expiring on 2019.12.31 23:59:59 GMT

_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c5 (20180725): Test-drive update

+ PFTZ option to show label [S/R] instead of sign [-/+]
! PFTZ minor fixes on level mode handling

Minor fixes nor improvements, and new bugs as usual as well...

Test drive release expiring on 2019.12.31 23:59:59 GMT
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c4ß4 (20180723): Test-drive update

+ Early PFTZ module (Pivot w/Fibonacci levels) as announced in here:
  https://www.forexfactory.com/showthread.php?p=11213360#post11213360
  Unlike FTZ and PTZ modules which are by now just filters, PFTZ is right now a trigger one.

+ FTZ option to show level values (narrow=false required).

+ Negative number as input for '"hold %ADR(10) since last open order" [H] scope' as
  suggested here: https://www.forexfactory.com/showthread.php?p=11107891#post11107891
  This is yet experimental and should be tested closely paying attention...

! Fixed basket action buttons when having prefix/suffix?
  https://www.forexfactory.com/showthread.php?p=11140957#post11140957
  https://www.forexfactory.com/showthread.php?p=11141421#post11141421
  https://www.forexfactory.com/showthread.php?p=11290002#post11290002

  
Some minor fixes nor improvements, and new bugs as usual as well...

Test drive release expiring on 2019.12.31 23:59:59 GMT
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c4ß3 (20180422): Test-drive bug-fix update

! Fixed bug affecting bulk set of SL/TP on existing orders when SL/TP was equal to 0.0 (reset)

Test drive release expiring on the next new year's eve GMT.
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c4ß2 (20180420): Test-drive bug-fix update

! Fixed bug on weekly session failing to correctly set the end of the week on some scenarios.

Some minor fixes nor improvements, and new bugs as usual as well...

Test drive release expiring on the next new year's eve GMT.

_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c4ß1 (20180413): Test-drive update

+ Maximum exposure to a currency: Maximum amount of orders on the very same currency.

_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c4ß (20180412): Test-drive update

+ Weekly session (server time based) replacing 24x5 hardcoded all day (local time) session

+ Allow [Auto] add orders in opposite direction of existing ones

+ Only [Auto] add orders upon profit +/- criteria, replacing "Only add to profitable"

+ Free margin level % threshold to open new trades...

+ Equity/Balance % threshold to open new trades...

+ PINS extended to 9.

Some fixes nor improvements, and new bugs as usual as well...

Test drive release expiring on the next new year's eve GMT.

_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c3 (20180316): Bug-fix update

! Fixed? https://www.forexfactory.com/showthread.php?p=10858825#post10858825

Minor fixes nor improvements, and new bugs as usual as well...
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9c (20180304): Bug-fix update

- Rename allowed, but only adding to the original name (undocumented addition of 012.9)
- Check for StopFlag temporarily removed (undocumented addition of 012.9)
+ Button for 'Close trades on session(s) end' in sessions box
+ Sessions shows an ® to the right of their status in sessions box when set to reset EAX.

! Fixed? https://www.forexfactory.com/showthread.php?p=10833419#post10833419

! Fixed? https://www.forexfactory.com/showthread.php?p=10833687#post10833687

Other minor fixes nor improvements, and new bugs as usual as well...
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9b (20180227): Bug-fix update

! Fixed? bug that close trades on EAX start when «Close trades on session(s) end» is enabled
! Fixed? CSM/RT header wasn't show as enabled on EAX start when set as enabled in properties
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9a (20180226): Most relevant since last update... 

! Minor fixes regarding missing objects
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.9 (20180223): Most relevant since last update... 

+ Option to try to get rid of indicators (if any) in chart window at load time.
+ PINS have a feed presence color. (hardcoded by now).
+ Spread value modifiable on-screen live.
+ Maximum value for ADR
+ Maximum value for CDR

~ SL in PiPs/%ADR changed its behaviour and is like the Basket SL introduced in the version 006b,
  a negative number is required to effectively do as SL, otherwise it will act as kind of PL, but
  beware that selected order(s) must be already in profit to PL to work or it will fail.

! Fixed? https://www.forexfactory.com/showthread.php?p=10542078#post10542078

! Fixed? https://www.forexfactory.com/showthread.php?p=9588252#post9588252

! Fixed? https://www.forexfactory.com/showthread.php?p=9497576#post9497576
		 https://www.forexfactory.com/showthread.php?p=9577973#post9577973
		 https://www.forexfactory.com/showthread.php?p=10793525#post10793525
		 https://www.forexfactory.com/showthread.php?p=10794045#post10794045
		 https://www.forexfactory.com/showthread.php?p=10794103#post10794103
		 
! Fixed? https://www.forexfactory.com/showthread.php?p=9586739#post9586739

! Some preset names changed in SESSION and ENVIRONMENT sections, thus earlier .set would require revision.

Other minor fixes nor improvements, and new bugs as usual as well...
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.8 (20161220):

! Fixed news hold filter not properly working when news level = None.

DBMASMEAX007a3.bundle3 rev.update.012.8 (20161219):

Most Relevant since last update:

+ Reverse the RSI signal (only as preset by now).
+ Experimental Close <all|profit|losing> orders on news hold start
  (affected symbols only by now). [Auto], [Close] and [N] required.
+ Experimental Hold filter scope: "hold %ADR(10) since last open order"

! Fixed news hold filter not properly working with hidden basket block.

Other minor fixes nor improvements, and new bugs as usual as well...
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.7 (20161111):
! http://www.forexfactory.com/showthread.php?p=9247988#post9247988
! http://www.forexfactory.com/showthread.php?p=9247458#post9247458
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.7 (20161110):
! http://www.forexfactory.com/showthread.php?p=9246097#post9246097
! http://www.forexfactory.com/showthread.php?p=9245159#post9245159
! http://www.forexfactory.com/showthread.php?p=9240003#post9240003
_______________________________________________________________________________________________

DBMASMEAX007a3.bundle3 rev.update.012.6 (20161101):
! http://www.forexfactory.com/showthread.php?p=9229076#post9229076
! http://www.forexfactory.com/showthread.php?p=9230115#post9230115
_______________________________________________________________________________________________

DBMASMEAX007a3.update12 (20161023):

~ Hold filter:
  + Scope: hold «bars,period» since last open order [experimental]
    Comma separated «bars,period». Period can be any regular
    time-frame or a custom off-line one (by now, to properly
    work with off-line charts, they should be open.
  - Define "hold minutes since last [...] order" [H] scope
  + Define "hold minutes since last open order" [H] scope
  + Define "hold minutes since last closed order" [H] scope
  - Define "one order per bar (order [...] time)" [H] scope
  + Define "one order per bar (order open time)" [H] scope
  + Define "one order per bar (order close time)" [H] scope
  + Define "hold «bars,period» since last open order" [H] scope

~ Charts:
  - Timeframe to open a new chart
  - Template to use when opening a new chart
  + Use «template,timeframe» to open charts [NEW WAY]
    Comma separated «template,timeframe». The two removed
    inputs merged into this one, where «timeframe» can be
    any regular time-frame or a custom off-line one as long
    as it's available.

~ Interface:
  + Edit box for «template,timeframe».
  + Informative box for Sit-On-Hands scopes.
  + Color for «Exit(close) on opposite signal» (default=Gainsboro).
  + Color for «Exit(close) on absent signal» (default=Black)
  + Color for «Exit(close) on lost signal» (default=DimGray)
  + Profit, Account and Clock are now movable just like Sessions, MTS and News.
  ~ Other minor changes/updates.

Pay attention to Hold and Chart sections while importing
ancient presets since some definitions there had to be renamed.

Updated releases of MADdash and BidRadio PINS with reverse option added
_______________________________________________________________________________________________

DBMASMEAX007a3.update11 (201610141356):

~ Attempt to have a better integration between close/exit scopes.

  When using mixed exit modes/scopes, all have to match... unless
  it's enabled the «Close on any enabled close/exit alert» feature.

!! Fixed?
http://www.forexfactory.com/showthread.php?p=9196137#post9196137
_______________________________________________________________________________________________

DBMASMEAX007a3  (201610100323): Most Relevant since last update:

+ PINS only mode (hide all - not disabling) added.
+ Preset for the Enable trigger on any enabled Close[C] alert.
+ PINS exit scope added: lost signal (in default color scheme, [X] is dimmed).

  Mixed exit modes/scopes requires the «Close on any enabled close/exit alert»
  feature to be enabled ([ANY] button right over [Close] or it related preset).

!! Fixed?
http://www.forexfactory.com/showthread.php?p=9174845#post9174845
http://www.forexfactory.com/showthread.php?p=9182281#post9182281
http://www.forexfactory.com/showthread.php?p=9179793#post9179793
http://www.forexfactory.com/showthread.php?p=9181138#post9181138
http://www.forexfactory.com/showthread.php?p=9188136#post9188136
_______________________________________________________________________________________________

DBMASMEAX007a3 (20161002): Most Relevant since last update:

+ Close matching ANY enabled close/exit alert.
+ RS exit on opposite signal and reverse it own signal [EXPERIMENTAL].
+ BQR exit on opposite signal and reverse it own signal [EXPERIMENTAL].
+ Button for the auto-close filter based on order PiPs offset.
+ Buttons to Show/Hide News and Clock.
+ News, Sessions and MTSA boxes can be moved by dragging them with the mouse.
  How-to: Hover the box until read a "double-click to make it movable" tool-tip
  and do what it says. A white dot will appear on the top left corner of that box
  indicating that it's ready to be dragged to wherever you want.
+ Hold entry till next bar (selectable time-frame).
+ PINS extended to 6.
+ Experimental PINS only mode (disable all but PINS module).

Some minor additions/corrections/amendments/adjustments...
Bugs nor issues fixed and probably new ones introduced... as usual ;)
_______________________________________________________________________________________________

DBMASMEAX007a3 (20160923): Bug-fix update
 
Fixed?: (it seems it only happens when having a custom symbols selection)
! http://www.forexfactory.com/showthread.php?p=9156617#post9156617
_______________________________________________________________________________________________

DBMASMEAX007a3 (20160922): Bug-fix update
 
Fixed?:
! http://www.forexfactory.com/showthread.php?p=9156077#post9156077
! http://www.forexfactory.com/showthread.php?p=9141815#post9141815
 
Improved/extended (scope chooser #2 could be removed if found redundant due to new scopes)
~ http://www.forexfactory.com/showthread.php?p=9155436#post9155436
 
Added (draft, disabled by default)
+ http://www.forexfactory.com/showthread.php?p=9141738#post9141738
_______________________________________________________________________________________________

DBMASMEAX007a3 (20160908): Bug-fix update

GAP: Fixed exit on opposite signal issue (http://www.forexfactory.com/showthread.php?p=9126374#post9126374)
BQR: Arrows mean [preview] (http://www.forexfactory.com/showthread.php?p=9115905#post9115905)
_______________________________________________________________________________________________

DBMASMEAX007a3 (20160902): Bug-fix update

Fixed Profit Tracker displaying today trades in yesterday's row.
_______________________________________________________________________________________________

DBMASMEAX007a3 (20160901): Most Relevant since last update:

 Bundle package including new versions of all files (files of any previous bundle or update can be discarded).

 Extract files preserving all sub-folders.

! Fixed bug in PIN exit/close on absence of signal in reverse mode.

Other minor bugs nor issues fixed and surely new ones introduced... ;)
_______________________________________________________________________________________________

DBMASMEAX007a2 (20160829): Relevant since last update:

+ [Auto] Close[C] allowed after session hours (default=true).
+ Hide alerts surpassing allowed spread threshold (default=false).
+ Snapshot auto-size to current chart window (default=true).
+ PINS exit/close scope added: absence of signal. [EXPERIMENTAL]
  [X] highlighted (default: red bg, white fg) = opposite signal (scope so far)
  [X] dimmed down (default: red bg, black fg) = absence of signal (added scope)
+ PSO: Daily Open Bar to watch: Current-Previous2 (default=Current).
+ Expert properties by clicking the Smiley at top left.

Bugs nor issues reported by users (and fixed):
http://www.forexfactory.com/showthread.php?p=9065724#post9065724
http://www.forexfactory.com/showthread.php?p=9078473#post9078473
http://www.forexfactory.com/showthread.php?p=9081183#post9081183
http://www.forexfactory.com/showthread.php?p=9103938#post9103938

Other bugs nor issues fixed and probably new ones introduced... as usual as well ;)
_______________________________________________________________________________________________

DBMASMEAX007a1 (20160727): Relevant since last update:

+ Improved integration with external PINS, mostly related to auto-placement.
_______________________________________________________________________________________________

DBMASMEAX007a0 (20160727): Most relevant since last update:

+ Reverse the CCI signal (only as preset by now)
+ Enabled directional arrows to RSI and CCI.
+ Showing MaxH and MaxL per pair while hovering the orders block rows.
~ Reworked Strength% and Bias directional arrows.
~ NewsCal and NewsBrk became disabled by default (both can be enabled from properties or loaded standalone).

+ Included an experimental Indicator/PIN 'DBMASMEAXPIN_BRdash_v001' to play with:
  I have it in the following folder: '{MT4_Data_Folder}\MQL4\Indicators\PINS'
  by now but it can be in any place as long as it's under 'Indicators' tree.
  It has it own color scheme hard-coded by now, and it can inherit whatever
  color scheme you have set in your EAX (running EAX required of course).

! Some bugs fixed and probably new ones introduced... as usual ;)
_______________________________________________________________________________________________

DBMultiASMdevX006g3 (20160721): Relevant since last update:

I've noticed that MT4 build 988 changed the way it deals with objects
tool-tips, thus this update is to adapt to that new MT4 behaviour.
_______________________________________________________________________________________________

DBMultiASMdevX006g2 (20160719): Relevant since last update:

This is a bug-fix revision related to what was reported in the following posts:
http://www.forexfactory.com/showthread.php?p=9035628#post9035628
http://www.forexfactory.com/showthread.php?p=9037981#post9037981
_______________________________________________________________________________________________

DBMultiASMdevX006g1 (20160717): Most relevant since last update:

+ Buttons to interactively increase/decrease won/lost basket(s) targets.
+ Comma separated symbol(s) list to auto-deselect at start.
+ Maximum price slippage for open and close orders can be set separately.
+ Own News Calendar report reworked.
+ PTZ: Option to enable/disable R1/R2 as LongsTZ and S1/S2 as ShortTZ (was hard-coded enabled).
+ FTZ: Option to enable/disable High to +200% as LongsTZ and Low to -200% as ShortsTZ (was hard-coded enabled).

! Several improvements or minor additions and some new bugs as usual as well.
_______________________________________________________________________________________________

DBMultiASMdevX006g0 (Not released): Most relevant since last update:

This was mostly a bug-fix revision.

+ Shows last order open and close time while hovering the orders block rows.

! Many bug-fixes and some new ones as usual as well.
_______________________________________________________________________________________________

DBMultiASMdevX006g (20160304): Most relevant since last update:

+ Button to take snapshot of current screen state [SS]. A pop-up alert will show where it was saved and under what name.

+ Button to enable [BDM] charts pop-ups if dashboard is set to be used as [DASH] in BDM.

+ Set [TP|SL] buttons are now independent of each other so you can set one not messing with the other. A combined [TP&SL] is available as well.

- Clear TP/SL button removed because setting [TP&SL] to 0 has the same effect now.

+ Most on-screen increase/decrease arrows replaced by edit boxes.

+ Basket Profit Lock levels modifiable on-screen live.

+ Sessions can be enabled/disabled on-screen live.

+ Experimental persistence of most of the settings that can be modified on-screen.
  Any persistent setting have precedence over EA preferences settings.
  This experimental feature is magic number based, thus you can have different persistent settings using different magic numbers.

~ Pivot points Trigger Zone [PTZ] filter (experimental): 
  + MN1 (in addition to previously added D1 and W1).
  + Option to make this filter to act as trigger.
  + Option to make R3/R4+ a ShortsTZ and below S3/S4+ a LongsTZ.
  + Narrow version to save screen space.

~ Fibonacci Trigger Zones [FTZ] filter (experimental):
  + MN1 (in addition to previously added D1 and W1).
  + Option to make this filter to act as trigger.
  + Option to make above +200% a ShortsTZ and below -200% a LongsTZ.
  + Narrow version to save screen space.

+ Filter based on CSM/RT with strong and weak currencies levels.

+ 3BQ module, showing direction based on 3 time-frames comparing each one to CSM/RT.

+ Bias shows two additional time periods (medium and long term - can be hidden/disabled).

+ Maximum PiPs offset to allow [Auto] [Close] (order PiPs has to be greater than specified to effectively take action).
  This a very experimental feature intended to cut potentially bad orders at their early stage, and allow your own trades
  manager (i.e. DashTZ) take over those that surpass the specified level (suggested by braintheboss).

! Fixed bug reported at http://www.forexfactory.com/showthread.php?p=8785489#post8785489

! Some other bugs that I managed to catch since previous revision were resolved and probably new ones were introduced as well :)
_______________________________________________________________________________________________

DBMultiASMdevX006f2 (20160216): Most relevant since last update:

! Fixed an issue found in the new and experimental filter on previous[p] candle bar direction check that won't properly update in some cases.
  If you didn't experienced issues, you can skip this update.just ignore this update.
_______________________________________________________________________________________________

DBMultiASMdevX006f1 (20160214): Most relevant since last update:

! Fixed bug reported in http://www.forexfactory.com/showthread.php?p=8752022#post8752022

+ One column/arrow Base|Quote [BQ] opposite direction trigger (experimental).
  Might replace the prior one based on two columns/arrows (base and quote).
  Both are intended to have the same behaviour and can be hidden, only differ by their cosmetic design.

+ Experimental filter based on Previous[p] candle bar direction.
_______________________________________________________________________________________________

DBMultiASMdevX006e4 (20160211152308): Most relevant since last update:

~ Strength% time-frames not correctly displaying their updated value after changing them in EA properties has been corrected.

! Some other bugs that I managed to catch since previous revision were resolved and probably new ones were introduced as well :)
_______________________________________________________________________________________________

DBMultiASMdevX006e3 (20160209105559): Most relevant since last update:

~ Bulk Set and Clear TP/SL changed it behaviour: Only orders with [SYMBOL(s)] enabled will be affected.

+ Current Daily Range [CDR] module.

+ BidRatio module [BidR%] with new way of displaying data +/- 100 (old one using 0 to 100 is still there).

+ Pips Since Open [PSO] have an upper limit now.

+ Pairs HeatMap% [HM%] have upper limits now.

+ PINS extended to 5 levels.
+ PINS exit on opposite signal can be standalone enabled now.
+ PINS reset button.

+ GAP exit on opposite signal.
+ GAP reverse it own signal.

+ Hard coded Session0: 24x5 (00:00:00 to 23:59:59).

+ Take snapshot at close (experimental): basket close and orders closed by exit on opposite signal.

~ Disabled[D] filter experimental scopes added: Pivot nor Fibonacci no trigger zones.
  Pivot nor Fibonacci filters should not be hidden for these new scopes to properly work.

+ Pivot points Trigger Zone [PTZ] filter (experimental): W1 (in addition to previously added D1).
  Two hard-coded trigger zones: Pivot to R2 for Longs[L] and Pivot to S2 for Shorts[S].
  It will show a text (and tool-tip) representing where the current bid price is in relation to Pivot/S&R.
  Avoid trades around levels by the specified amount of PiPs. Requires the PTZ filter enabled or to be selected as Disabled[D] filter scope not hiding PTZ.

+ Fibonacci Trigger Zones [FTZ] filter (experimental): D1 and W1.
  Two hard-coded trigger zones: High to High+100(+200) for Longs[L] and Low to Low-100(-200) for Shorts[S].
  It will show a text (and tool-tip) representing where the current bid price is in relation to levels.
  Avoid trades around levels by the specified amount of PiPs. Requires the FTZ filter enabled or to be selected as Disabled[D] filter scope not hiding FTZ.
  Values for upper and lower levels are hard-coded by now and are as follows:
	Target 6 = 100.0 % ( Upper T6 = High+T6% | Lower T6 = Low-T6%)
	Target 5 =  76.4 % ( Upper T5 = High+T5% | Lower T5 = Low-T5%)
	Target 4 =  61.8 % ( Upper T4 = High+T4% | Lower T4 = Low-T4%)
	Target 3 =  50.0 % ( Upper T3 = High+T3% | Lower T3 = Low-T3%)
	Target 2 =  38.2 % ( Upper T2 = High+T2% | Lower T2 = Low-T2%)
	Target 1 =  27.2 % ( Upper T1 = High+T1% | Lower T1 = Low-T1%)
	Target 0 =   0.0 % ( Upper T0 = High+T0% | Lower T0 = Low-T0%)

+ Strength% time-frame added.
+ Strength% time-frames can be interactively enabled/disabled.
~ Strength% was not properly obeying upper limit on triggering.

+ MA time-frame added.
+ MA time-frames can be interactively enabled/disabled.
+ MA period is time-frame independent now.

+ Candles: very experimental reverse signal of each individual time-frame.

! Open chart button bug fixed (it sometimes loaded a chart in the EA one, unloading it).

! Some sanity checks added (experimental). Needs further testing.

~ Suffix auto-detection improved (needs further testing).

+ Close[C] button to allow/deny triggering of exit alerts when in [Auto] mode.

!!! Important notes about exit on opposite signal:
    It requires [SYMBOL], [Auto} and Close[C] enabled to effectively close the matching orders.
    If multiple [X] are enabled, all must match to produce a close alert (perhaps a match-any could be added later?).
    Close alerts will be shown in Close[C] column and only on symbols having orders matching the criteria.

+ New script to load historical data: [MQL4\Scripts\LoadHistory-1 script(ASM)].

~ Updated DBMultiASM_MADdash_PIN_v2.0 supporting 5 PINS. Overwrite the already installed one [MQL4\Indicators\PINS].

As usual ... many bug fixes and some new ones as well ...
_______________________________________________________________________________________________

DBMultiASMdevX006d1: Since last update:

~ Pivots calculations when Monday has been corrected.
~ Strength% module was not properly obeying upper limit at colouring its values and has been fixed.
_______________________________________________________________________________________________

DBMultiASMdevX006d: Since last revision:

+ Experimental trigger on Base|Quote arrows direction. (This might replace the current behaviour of [D]isabled filter).
  Base increasing and Quote decreasing triggers longs.
  Base decreasing and Quote increasing triggers shorts.
  
+ Very Experimental filter based in Pivots Points and Trigger Zones [PTZ].
  There are two hard-coded trigger zones: Pivot to R2 for Longs and Pivot to S2 for Shorts.
  It will show a text (and tool-tip) representing where is the current bid price in relation to Pivot/S&R.
  There are options to avoid trades around Pivot/S&R by the specified amount of PiPs when the filter is enabled (this could be a separated filter).

~ Disabled[D] allow to choose if filter on 'SameDirection' or 'NotOppositeDirection' of Base|Quote arrows.
  Until now it was filtering on 'SameDirection' only. This filter might be deprecated or replaced.

~ Magic number can be updated directly in the panel (experimental).
  
! Bug in session management has been fixed.
! Bug in Basket SL when used as interactive Profit Lock has been fixed.
! Bug in Basket Lock showing incorrect lock values in some scenarios has been fixed.

~ Time to end of daily session replaced by Broker server time (clock).

Several minor improvements or additions and some new bugs as usual as well.
_______________________________________________________________________________________________

DBMultiASMdevX006c: Not released
_______________________________________________________________________________________________

DBMultiASMdevX006b: Most relevant since last bundle/update... 

The most important update is related to resources usage, it is now much lighter in CPU usage.

~ Basket SL in $ changed it behaviour and to effectively work as SL, a negative number is required, otherwise it will work as an interactive profit lock.
~ Basket TP in $ allow negative numbers now.

TP or SL in Pips or %ADR are unchanged by now, thus positive numbers must be used for either one. 

~ Dashboard update time interval fixed.

+ Print slippage and time spent to place the order.

+ Time to end of daily session time (clock).

+ Pivot container now shows warning when price is around PL or R3/S3 (it isn't a filter, only a visual by now).

+ Pivot container now shows R3, R2, R1, PL, S1, S2 and S3 values in tool-tips.

+ Orders requiring TP/SL are opened with their corresponding stops now, so if an "invalid stops" error is returned by the server, the order is immediately rejected.
  This is a big improvement over previous revisions where this was a two steps procedure. (orders placed with no stops and TP/SL set afterwards, ending with some orders -due to TP/SL too close to price- with no stops where a stop should have been placed). This modification aims to fix the referenced issue, rejecting orders with invalid stops in real time.

Some cosmetic changes because I'm not really happy yet with it current design.

As usual ... many bug fixes and some new ones as well ...
_______________________________________________________________________________________________

DBMultiASMdevX006a: Since last update... 

* Stop trading after basket(s) amount set in preferences was not properly working in devX006.
  This update aims to fix this issue. Please report back if it doesn't.
_______________________________________________________________________________________________

DBMultiASMdevX006: Since last bundle/update... 

Pairs:
+ Filter what pairs are allowed to operate directly from the dashboard.
  This means that we can now choose which pairs we want to let the EA to consider when in auto-mode.
  The default in this revision is all unselected, and an option to auto-enable all is included in properties.
+ [ALL/NONE] (for all pairs) button at header of pairs container has been implemented to perform bulk enable/disable of pairs.
   This button will select or deselect all based on last action taken.
+ Basket buttons to enable/disable pairs in the dashboard implemented.

Filters:
~ ADR filter was not properly filtering and has been fixed.
+ Narrow pairs HeatMap version added and its default now. It now supports all the 9 regular time-frames as well.
+ BidRatio upper and lower limits for trigger.

HeikenAshi:
+ HA options to allow the user to select what time-frames to be used for direction directly at EA preferences.
+ HA TF buttons changed it behaviour, time-frames can now be selected live to enable them to be used for direction.
+ HA filter button changed it behaviour a little bit as well, now it is more like the Candles button is.
+ Choose the HA candle for open/close comparison.

Summarizing how the HeinkenAshi module will work in this revision: the time-frame buttons will enable each time-frame
to be used for direction matching, but they will not activate the filter by themselves (as in the previous release),
to do so, the main HeikenAshi button must be used (requires at least one time-frame enabled for direction).

Parabolic SAR [NEW]:
+ Parabolic SAR covering all regular time-frames. (HA must be disabled by now because of an issue I'm trying
  to figure out how to handle, so for the time being, both cannot be activated at the very same time)
+ Choose the PSAR candle for PSAR/open comparison.

Candles:
+ Buttons to enable/disable time-frames for direction matching without having to go to preferences.
  This can be updated live now. These tiny buttons have tool-tips that will help on identify their time-frame.  

News:
+ Option to open news URL when a pair/currency displays news alerts.
  This has been added to the two news modules available right now.
  The news URL can be customized in preferences. The default is the Forex Factory one.
~ Rewrite most of the news module (bugs fixes and optimization, and probably new bugs)

Charts:
+ Dedicated button to open charts [~]
+ Button to open charts of all selected pairs [+] at header of the new charts module (it might be relocated afterwards)
+ Button to close charts of all selected pairs [-] above the previous buttons (it might be relocated afterwards)
+ Basket buttons to open all pair charts of the given currency.

Sessions:
+ 4th session added.
+ Option to reset/preserve data between sessions
+ Option to reset/preserve data when back from preferences
+ Reset lot size when clicking on it own button.
+ Session shows as closed while in weekend. Needs further testing.

Other:
+ Many tool-tip's improved
+ This revision should be more CPU friendly. If you have issues regarding high CPU usage, HeatMaps and indicators (HA in particular) are very CPU intensive.

As usual ... many bug fixes and some new ones as well ...
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511272338b:

+ Tool-tips added to many elements, mostly to the new ones and to the ones I have found to be more important... so most are self explanatory...

+ Gauge bar intended to measure the market tendency/sentiment. It is an experiment based on pure mathematics over the market data stream (it still has room for enhancement).

! A bug not auto-enabling filtering on HA when enabled in settings was found and fixed.
! An issue related to the possibility to enable/disable individual HA time-frames once the HA filter is active is now resolved.
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511191252:

This is mostly a bug fix update related to the news alerts that were not being cleared in basket block neither in pairs rows when they should.
If you still find this update too buggy, please stick to the previous one that works for you while next comes. I have some on going things I don't want to mix.
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511182007:

The most important thing on this update is that it seems that I managed to fix the issue related to the news alert being deactivated/activated again during news releases time. I kept a close eye during latest news releases and it did pretty well here, so let's see how it does there. I wouldn't post an update yet if it weren't for that ugly bug...

+ NewsCal can be used from inside the Dashboard. NewsBrk as well. Both indicators required (and included in package).
  NewsCal is the default news "viewer" in this update, but the previous one can be selected instead.
+ Allow to choose if auto-add magic number to order comment. [NEW] Needs further testing.
+ Allow to choose maximum size of order comment. It will be trimmed to specified size if greater. [NEW] Needs further testing.
+ Added new clock (external one dropped)
+ LongAll and ShortAll buttons added. Needs further testing.
+ Shows range since last D1 (Last Hi&Lo as well). Needs further testing/checking, review and "design"
+ Many tool-tip's added. Needs to add more though... in progress..
+ News column impact will be colored based on chosen impact when in the on-hold time window. Needs further testing/checking.
+ News alert on basket module added. Needs further testing/checking.
+ News blocking mechanism reworked and fixed. Needs further testing.
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511161356: 

Some new things added, mostly related to usability, like...

+ Enable/Disable modules done (almost any column can be disabled/hidden).
+ Screen-shot at order open added (screen-shot will be saved in "MQL4\Files\DBMultiASM\" folder).
+ TP/SL in Pips added to the interactive box (please note that Pips overrides %ADR, in case you set both, Pips will take precedence).
+ Experimental MADdash based Heat-map for basket and general purpose. (MADdash must be loaded on any regular chart, have global variables setting enabled and the time-frames you want to be "read" selected). Colouring this HeatMap is in progress.
+ Experimental CSM Heat-map for basket and general purpose. I've set it to be the default, but it can be changed in preferences.
+ Text box to have a brief description of current settings added.

Some other minor fixes and features I don't recall right now were added, and new bugs as well 
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511131601.deploy:
DBMultiASM(10230)devX201511132329.update:

Nothing really new, this is mostly a bug-fix release. I spent most of the time in a sort of bugs-hunting session.

Among others, I was reviewing the news module and made some changes that I expect to do better next week.

I have also added a very experimental MTF CSM for both, basket and general purpose, by the way, Modoki is still the default on both. CSM should be chosen in options (independent options for basket and general one) and if so, it will be displayed in place of Modoki, so in this release, both cannot be displayed at the very same time. If you want both, enable MTF_CSM and load your own Modoki (If you want it and don't have one yet, it is easy to find by using the paperclip at the top of the page or you can also find it in the package of the first upload I made)

Mandatory bug-fix update added. Fixed bug reported in #Post 12380 here. Install fist package first, then overwrite EA with the one in the latest package.
_______________________________________________________________________________________________

DBMultiASM(10230)devX201511091622:

Sadly, the reported issue related to news (placing orders during the hold after news time, with the [N]ews header enabled and red [N] in the respective pair row) is intact, so it needs more testing to try to find what's wrong with it. While doing a visual review of the code I didn't found anything looking bad yet, BTW I'll keep an eye on it since I want it to be confident or not to be.

I have also added some toys to try and test if they worth being improved.. like a GAP alerts counter (needs work and fine tuning yet... I'm thinking on adding a sort of buffer in time before increasing count and to use as filter like... to place an order only after N alerts in the same direction... or after a change in GAP direction is detected or so.. open to ideas).

Another toy to play with is something to allow the dashboard to receive alerts of external indicators in other charts. To achieve this, the required indicator(s) should be adapted to allow inter-operation with the dashboard. A good sample scenario for that would be to import alerts exported from something like MADdash., btw, AFAIK, it doesn't export it alerts and it source code is not available to be adapted. Anyway, it doesn't have to be an MTF indicator (better if it is, of course.. less chart windows), it can be any indicator on any regular pair chart window. This feature is immature and still under heavy-development and is not enabled by default since it needs indicators to be adapted and it stills doesn't work as a filter to auto-trade yet, it only shows alerts provided by adapted indicators loaded in other chart windows by now.

! major bug in MA arrows fixed.
! major bug in Candles highlighting fixed.

The H|D|N boxes at the left of the Currencies/Basket block are only representative by now and will not show anything in this version.
_______________________________________________________________________________________________

DBMultiASM(10230)201511050110: initial release
_______________________________________________________________________________________________
_______________________________________________________________________________________________

Potentially hazardous DLL dependencies explained:

shell32.dll::ShellExecuteW(0,"open",URL,"","",3)
_______________________________________________________________________________________________
